LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XPresentationPage Interface Referencepublished

describes a page from a presentation. More...

`import "XPresentationPage.idl";`

Inheritance diagram for XPresentationPage:

## Public Member Functions
com::sun::star::drawing::XDrawPage | getNotesPage ()
| return the note page from the current page in the presentation, the name for the note page in the user interface note view, and one of the views from a presentation page.
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection.
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

describes a page from a presentation.

See also
  com::sun::star::drawing::DrawPage

## Member Function Documentation

## ◆ getNotesPage()

com::sun::star::drawing::XDrawPage getNotesPage | ( |  | ) |

return the note page from the current page in the presentation, the name for the note page in the user interface note view, and one of the views from a presentation page.

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XPresentationPage.idl